Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QFutureWatcherBase

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.core.QObject
                      com.trolltech.qt.core.QFutureWatcherBase

All Implemented Interfaces:
  QtJambiInterface

Direct Known Subclasses:
  QFutureWatcher, QFutureWatcherVoid

    public class QFutureWatcherBase

extends QObject

This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QtJambiObject
`QtJambiObject.QPrivateConstructor`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary
`QSignalEmitter.Signal0` | `canceled`
`QSignalEmitter.Signal0` | `finished`
`QSignalEmitter.Signal0` | `paused` See also. setPaused().
`QSignalEmitter.Signal2<java.lang.Integer,java.lang.Integer>` | `progressRangeChanged` This signal takes 2 generic argument(s).
`QSignalEmitter.Signal1<java.lang.String>` | `progressTextChanged` This signal takes 1 generic argument(s).
`QSignalEmitter.Signal1<java.lang.Integer>` | `progressValueChanged` This signal takes 1 generic argument(s).
`QSignalEmitter.Signal1<java.lang.Integer>` | `resultReadyAt` This signal takes 1 generic argument(s).
`QSignalEmitter.Signal2<java.lang.Integer,java.lang.Integer>` | `resultsReadyAt` This signal takes 2 generic argument(s).
`QSignalEmitter.Signal0` | `resumed`
`QSignalEmitter.Signal0` | `started`

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`` | `QFutureWatcherBase()` This method is internal to Qt Jambi.
`` | `QFutureWatcherBase(QObject parent)` This method is internal to Qt Jambi.
`protected` | `QFutureWatcherBase(QtJambiObject.QPrivateConstructor p)` This method is internal to Qt Jambi.

Method Summary
`protected boolean` | `__qt_signalInitialization(java.lang.String name)` This method is internal to Qt Jambi.
`void` | `cancel()` This method is internal to Qt Jambi.
`protected void` | `connectOutputInterface()` This method is internal to Qt Jambi.
`protected void` | `disconnectOutputInterface()` This method is internal to Qt Jambi.
`protected void` | `disconnectOutputInterface(boolean pendingAssignment)` This method is internal to Qt Jambi.
`boolean` | `event(QEvent event)` This method is internal to Qt Jambi.
`static QFutureWatcherBase` | `fromNativePointer(QNativePointer nativePointer)` This method is internal to Qt Jambi.
`boolean` | `isCanceled()` This method is internal to Qt Jambi.
`boolean` | `isFinished()` This method is internal to Qt Jambi.
`boolean` | `isPaused()` This method is internal to Qt Jambi.
`boolean` | `isRunning()` This method is internal to Qt Jambi.
`boolean` | `isStarted()` This method is internal to Qt Jambi.
`void` | `pause()` This method is internal to Qt Jambi.
`int` | `progressMaximum()` This method is internal to Qt Jambi.
`int` | `progressMinimum()` This method is internal to Qt Jambi.
`java.lang.String` | `progressText()` This method is internal to Qt Jambi.
`int` | `progressValue()` This method is internal to Qt Jambi.
`void` | `resume()` This method is internal to Qt Jambi.
`void` | `setPaused(boolean paused)` This method is internal to Qt Jambi.
`void` | `setPendingResultsLimit(int limit)` This method is internal to Qt Jambi.
`void` | `togglePaused()` This method is internal to Qt Jambi.
`void` | `waitForFinished()` This method is internal to Qt Jambi.

Methods inherited from class com.trolltech.qt.core.QObject
`blockSignals, childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, indexOfProperty, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, properties, property, removeEventFilter, setObjectName, setParent, setProperty, signalsBlocked, startTimer, thread, timerEvent, toString, userProperty`

Methods inherited from class com.trolltech.qt.QtJambiObject
`disableGarbageCollection, dispose, disposed, equals, finalize, nativeId, nativePointer, reassignNativeResources, reenableGarbageCollection, setJavaOwnership, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`disconnect, disconnect, signalSender`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### canceled

    public final QSignalEmitter.Signal0 canceled

### finished

    public final QSignalEmitter.Signal0 finished

### paused

    public final QSignalEmitter.Signal0 paused

See also.
  setPaused().

### progressRangeChanged

    public final QSignalEmitter.Signal2<java.lang.Integer,java.lang.Integer> progressRangeChanged

  This signal takes 2 generic argument(s). We list their type and the name they go by in the description of this signal. <java.lang.Integer(named: minimum), java.lang.Integer(named: maximum)>:

### progressTextChanged

    public final QSignalEmitter.Signal1<java.lang.String> progressTextChanged

  This signal takes 1 generic argument(s). We list their type and the name they go by in the description of this signal. <java.lang.String(named: progressText)>:

### progressValueChanged

    public final QSignalEmitter.Signal1<java.lang.Integer> progressValueChanged

  This signal takes 1 generic argument(s). We list their type and the name they go by in the description of this signal. <java.lang.Integer(named: progressValue)>:

### resultReadyAt

    public final QSignalEmitter.Signal1<java.lang.Integer> resultReadyAt

  This signal takes 1 generic argument(s). We list their type and the name they go by in the description of this signal. <java.lang.Integer(named: resultIndex)>:

### resultsReadyAt

    public final QSignalEmitter.Signal2<java.lang.Integer,java.lang.Integer> resultsReadyAt

  This signal takes 2 generic argument(s). We list their type and the name they go by in the description of this signal. <java.lang.Integer(named: beginIndex), java.lang.Integer(named: endIndex)>:

### resumed

    public final QSignalEmitter.Signal0 resumed

### started

    public final QSignalEmitter.Signal0 started

Constructor Detail

### QFutureWatcherBase

    public QFutureWatcherBase()

  This method is internal to Qt Jambi.

### QFutureWatcherBase

    public QFutureWatcherBase(QObject parent)

  This method is internal to Qt Jambi.

### QFutureWatcherBase

    protected QFutureWatcherBase(QtJambiObject.QPrivateConstructor p)

  This method is internal to Qt Jambi.

Method Detail

### cancel

    public final void cancel()

  This method is internal to Qt Jambi.

### connectOutputInterface

    protected final void connectOutputInterface()

  This method is internal to Qt Jambi.

### disconnectOutputInterface

    protected final void disconnectOutputInterface()

  This method is internal to Qt Jambi.

### disconnectOutputInterface

    protected final void disconnectOutputInterface(boolean pendingAssignment)

  This method is internal to Qt Jambi.

### isCanceled

    public final boolean isCanceled()

  This method is internal to Qt Jambi.

### isFinished

    public final boolean isFinished()

  This method is internal to Qt Jambi.

### isPaused

    public final boolean isPaused()

  This method is internal to Qt Jambi.

### isRunning

    public final boolean isRunning()

  This method is internal to Qt Jambi.

### isStarted

    public final boolean isStarted()

  This method is internal to Qt Jambi.

### pause

    public final void pause()

  This method is internal to Qt Jambi.

### progressMaximum

    public final int progressMaximum()

  This method is internal to Qt Jambi.

### progressMinimum

    public final int progressMinimum()

  This method is internal to Qt Jambi.

### progressText

    public final java.lang.String progressText()

  This method is internal to Qt Jambi.

### progressValue

    public final int progressValue()

  This method is internal to Qt Jambi.

### resume

    public final void resume()

  This method is internal to Qt Jambi.

### setPaused

    public final void setPaused(boolean paused)

  This method is internal to Qt Jambi.

### setPendingResultsLimit

    public final void setPendingResultsLimit(int limit)

  This method is internal to Qt Jambi.

### togglePaused

    public final void togglePaused()

  This method is internal to Qt Jambi.

### waitForFinished

    public final void waitForFinished()

  This method is internal to Qt Jambi.

### event

    public boolean event(QEvent event)

  This method is internal to Qt Jambi.

  Overrides:
    `event` in class `QObject`

### fromNativePointer

    public static QFutureWatcherBase fromNativePointer(QNativePointer nativePointer)

  This method is internal to Qt Jambi.

### __qt_signalInitialization

    protected boolean __qt_signalInitialization(java.lang.String name)

  This method is internal to Qt Jambi.

  Overrides:
    `__qt_signalInitialization` in class `com.trolltech.qt.internal.QSignalEmitterInternal`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD